Bug 155766

Summary: Vendor update: irc/kvirc
Product: Ports & Packages Reporter: Axel Gonzalez <loox>
Component: Individual Port(s)Assignee: Max Brazhnikov <makc>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
pkg-plist.diff
none
pkg-plist.diff none

Description Axel Gonzalez 2011-03-21 23:10:04 UTC
Vendor update to 4.0.4

The change should work with just version bump. I've already tested/updated.

diff -ru kvirc/Makefile kvirc.orig/Makefile
--- kvirc/Makefile      2011-03-21 16:35:06.000000000 -0600
+++ kvirc.orig/Makefile 2011-03-21 16:34:52.000000000 -0600
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=      kvirc
-PORTVERSION=   4.0.4
+PORTVERSION=   4.0.2
 CATEGORIES=    irc kde
 MASTER_SITES=  ftp://ftp.kvirc.de/pub/kvirc/%SUBDIR%/ \
                http://kvirc.gmake.de/pub/kvirc/%SUBDIR%/ \
diff -ru kvirc/distinfo kvirc.orig/distinfo
--- kvirc/distinfo      2011-03-21 16:38:14.000000000 -0600
+++ kvirc.orig/distinfo 2011-03-21 16:34:52.000000000 -0600
@@ -1,2 +1,2 @@
-SHA256 (kvirc-4.0.4.tar.bz2) = b31501853f785d51d4f6cf16a312f4162b53563e90663e6445784ecaf6dc7ef5
-SIZE (kvirc-4.0.4.tar.bz2) = 5355332
+SHA256 (kvirc-4.0.2.tar.bz2) = ab0850c26761a2afa0c2ecc607d313eae717889a6bc293573020d3a09f3de040
+SIZE (kvirc-4.0.2.tar.bz2) = 5279602

Fix: 

-
How-To-Repeat: -
Comment 1 Tilman Keskinoz freebsd_committer 2011-04-09 14:55:49 UTC
State Changed
From-To: open->feedback

You also have to upgrade the pkg-plist file, there are several errors: 

tar: lib/libkvilib.so.4.0.2: Cannot stat: No such file or directory 
tar: share/kvirc/4.0/help/en/documentation.4.0.2.4740.tag: Cannot stat: No such file or directory 
tar: share/mime/application/x-kva.xml: Cannot stat: No such file or directory 
tar: share/mime/application/x-kvt.xml: Cannot stat: No such file or directory 
tar: share/mime/packages/kvirc.xml: Cannot stat: No such file or directory 
tar: share/mime/text/x-kvc.xml: Cannot stat: No such file or directory 
tar: share/mime/text/x-kvs.xml: Cannot stat: No such file or directory 
tar: Error exit delayed from previous errors.
Comment 2 Axel Gonzalez 2011-04-09 20:00:25 UTC
attached is the diff of the pkg-plist
Comment 3 luxo 2011-04-09 21:34:00 UTC
attached is the diff of the pkg-plist
 		 	   		  =
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-05-05 05:45:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

Fix synopsis and assign.
Comment 5 Max Brazhnikov freebsd_committer 2011-05-07 18:00:01 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 6 dfilter service freebsd_committer 2011-05-07 19:59:16 UTC
makc        2011-05-07 18:59:02 UTC

  FreeBSD ports repository

  Modified files:
    irc/kvirc            Makefile distinfo pkg-plist 
  Log:
  Update to 4.0.4
  
  PR:             ports/155766
  Submitted by:   Axel Gonzalez <loox at e-shell.net>
  
  Revision  Changes    Path
  1.80      +1 -1      ports/irc/kvirc/Makefile
  1.17      +2 -2      ports/irc/kvirc/distinfo
  1.20      +16 -6     ports/irc/kvirc/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Max Brazhnikov freebsd_committer 2011-05-07 19:59:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!